Subject: RE: RE: [Diffserv] Here's the complete EF-service definition.

From: Jon Bennett <[email-masked]>
Date: Thu, 27 Jul 2000 12:11:46 -0400

> Yes, you are absolutely right. I realized just moments after 
> sending my previous email that my definition is still far 
> from complete. Simultaneous packet arrivals at different 
> input links should not be regarded as non-conforming of course.  
> My definition *is* valid if the packet arrivals are defined 
> as those at the input to  the output queue (if the router has 
> an output queue.) But this definition is still restrictive and 
> doesn't apply to the entire router as a black box.

For an output queued router I'm not sure what the difference is?
If you mean that the packets can't be placed in the output queue in 
parallel, this is not the case for some implementations, but even if 
they must be serialized, you have still taken a valid input stream to 
the router and declared it non-conforming. Since you can't look at the 
internal state of the queue, if there even is an output queue, this 
definition still is not workable.

> My aim here is basically to come up with a precise, yet 
> simple definition (if at all it's possible) for EF service.

Yes that was our aim as well, it turns out to be non-trivial problem.

> Can you give me a pointer to where I can read the definition 
> you proposed?
> Or do you mean the one in RFC 2598, section 2, page 1?

I am referring to the definition in draft-charny-ef-definition-00.txt
which is located at 
http://search.ietf.org/internet-drafts/draft-charny-ef-definition-00.txt

jon

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/